%if 0%{?fedora} > 12
%global with_python3 1
%endif

Name:           python-zope-sqlalchemy
Version:        0.7.7
Release:        1%{?dist}
BuildArch:      noarch

License:        ZPLv2.1
Group:          Development/Languages
Summary:        Minimal Zope/SQLAlchemy transaction integration
URL:            https://github.com/zopefoundation/zope.sqlalchemy
Source0:        https://github.com/zopefoundation/zope.sqlalchemy/archive/%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-testing

Requires:       python-transaction
Requires:       python-sqlalchemy >= 0.5.1
Requires:       python-zope-interface >= 3.6.0

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-zope-testing
%endif


%description
The aim of this package is to unify the plethora of existing packages
integrating SQLAlchemy with Zope's transaction management. As such it seeks
only to provide a data manager and makes no attempt to define a zopeish way to
configure engines.

%if 0%{?with_python3}
%package -n python3-zope-sqlalchemy
Summary:   Minimal Zope/SQLAlchemy transaction integration with Python 3 support
Group:     Development/Languages

Requires:           python3-transaction
Requires:           python3-sqlalchemy >= 0.5.1
Requires:           python3-zope-interface >= 3.6.0

%description -n python3-zope-sqlalchemy
The aim of this package is to unify the plethora of existing packages
integrating SQLAlchemy with Zope's transaction management. As such it seeks
only to provide a data manager and makes no attempt to define a zopeish way to
configure engines.
%endif

%prep
%setup -q -n zope.sqlalchemy-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif


%build
%{__python} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif


%files
%doc src/zope/sqlalchemy/README.txt
%doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt
# Co-own %%{python_sitelib}/zope/
%{python_sitelib}/*
%exclude %{python_sitelib}/zope/sqlalchemy/*.txt

%if 0%{?with_python3}
%files -n python3-zope-sqlalchemy
%doc src/zope/sqlalchemy/README.txt
%doc CHANGES.txt COPYRIGHT.txt CREDITS.txt LICENSE.txt
# Co-own %%{python_sitelib}/zope/
%{python3_sitelib}/*
%exclude %{python3_sitelib}/zope/sqlalchemy/*.txt
%endif


%changelog
* Mon Oct 10 2016 Randy Barlow <randy@electronsweatshop.com> - 0.7.7-1
- Update to 0.7.7 (#1204328).
- Use https and GitHub to retrieve the source instead of http and PyPI.

* Thu Sep 24 2015 Ralph Bean <rbean@redhat.com> - 0.7.6-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 27 2014 Luke Macken <lmacken@redhat.com> - 0.7.5-1
- Update to 0.7.5 (#1111881)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun May 04 2014 Luke Macken <lmacken@redhat.com> - 0.7.4-1
- Update to 0.7.4 (#1012362)
- Require zope.interface >= 3.6.0

* Tue Aug 20 2013 Luke Macken <lmacken@redhat.com> - 0.7.2-3
- Move python3 requires statements into the python3 subpackage (#997674)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Luke Macken <lmacken@redhat.com> - 0.7.2-1
- Update to 0.7.2 (#760950)
- Build a python3 subpackage
- Modernize spec

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 10 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1 (#668182)

* Sun Sep 12 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.6-1
- Update to 0.6
- More texts included
- Version of python-sqlalchemy requirement updated

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Feb 02 2010 Luke Macken <lmacken@redhat.com> - 0.4-3
- Specify the ZPL license version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> - 0.4-1
- Update to 0.4

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3-2
- Rebuild for Python 2.6

* Tue Oct 21 2008 Luke Macken <lmacken@redhat.com> - 0.3-1
- Initial package
